
class DynamicContent extends HTMLElement {
  constructor() {
    super();
  };

  connectedCallback(){
    const ajaxObject = $(this);
    const ajaxUrl = $(ajaxObject).data('call-url');
    $.ajax({
      url : ajaxUrl,
      success : function(result) {
        $(ajaxObject).replaceWith(result);
        $(window).trigger('resize');
        // Das Event muss lieder so getrterigered werden.
        // So funktioniert es  wenn man den event in anderen Webpack-Modul erwartet
        // Event in timeout triggern wil das rendern von Ergebnissen länger dauern kann
        requestAnimationFrame(()=>{
          global.$('body').trigger('dynamic-component-loaded');
        });

      }
    });
  }

};


window.customElements.define('dynamic-content',DynamicContent);
